locked
net framework 4.6 issues RRS feed

  • Question

  • User65893105 posted

    Ive just started modification work on a project (pre existing project), when I load it into vs 2013 I get a message telling me its been updated to use the 4.6 framework.  I downloaded and installed 4.6.1 but I still get the same error message so I thought it could be because Id installed 4.6.1 and not 4.6.  After some searching on the web it seems this cant be uninstalled, so I went into 'turn off windows features' and switched it off.  I then ran the installer for 4.6 and I got a message telling me its already installed.  I ran clrver and it reported this

    2.0.50727

    4.0.30319

    no sign of 4.6 !

    bit stumped now, anyone else had a similar issue ? is there a workaround ?

    im working on windows 10

    Tuesday, February 2, 2016 9:08 AM

Answers

All replies

  • User-821857111 posted

     I ran clrver and it reported this

    2.0.50727

    4.0.30319

    There are two versions of the CLR: 2 and 4. These are not the same as versions of the .NET framework. 

    What exactly is your issue? Doesn't your project run?

    Tuesday, February 2, 2016 9:55 AM
  • User65893105 posted

    The project wont even load, it tells me it need the net framework 4.6 which isnt installed, Ive checked the registry and under

    HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\NET Framework Setup\NDP\v4\Full\1033

    I have this

    4.6.01055

    Tuesday, February 2, 2016 10:07 AM
  • User65893105 posted

    Im also using windows 10 buit under release I have this

    394271

    shouldnt it be 394254 ?

    I found the info on this page

    https://msdn.microsoft.com/en-us/library/hh925568(v=vs.110).aspx#net_b

    On Windows 10 November Update systems: 394254

    On all other OS versions: 394271

    Tuesday, February 2, 2016 10:11 AM
  • User65893105 posted

    anyone help me out here ?  Ive run out of options now, the visual studio solution tells me that I dont have the .net 4.6 framework installed yet clearly it is !

    I cant load it, if I switch to 4.5 it will load ok

    help

    Tuesday, February 2, 2016 3:05 PM
  • User65893105 posted

    ok the plot thickens, Ive just done a windows update and now the release version has changed to 

    394254 which is now correct

    and the .net framework is

    4.6.01038

    but the visual studio project still insists that .net 4.6 isnt installed !!

    Tuesday, February 2, 2016 3:09 PM
  • User36583972 posted

    Hi misuk11,

    This link discussed how to install .NET Framework 4.6 in Visual Studio 2013, it seems that the .NET Framework 4.6 Targeting Pack is also required.

    http://stackoverflow.com/questions/31836046/visual-studio-2013-and-net-4-6 

    Best Regards,  

    Yohann Lu

    • Marked as answer by Anonymous Thursday, October 7, 2021 12:00 AM
    Wednesday, February 3, 2016 10:29 AM